PDA

View Full Version : OpenGl 1.2.1 won't initialize for me!!!!



andsmith2
01-22-2001, 05:39 PM
I've noticed that at least one other person has posted a similar problem with OpenGl but the answer posted didn't seem too be useful for me. So, I'll give as much info about my computer as I can and hope for the best.

Like the other poster I was having trouble with the demo "Elite Force" (a star trek game). The error message always reads, "st:ef error - OpenGl will not initialize" (or something to that effect), even though OpenGl 1.2.1 had just been installed.

O.k., now a few details about my system. I'm using a Power Macintosh G3 (one of the earlier G3 models), System 9.0.4 is running on it and I have 64 MB (built in memory) and I've tried as high as 130 MB using vitual memory and it still wouldn't initialize. I don't know anything about my graphics card except that it's whatever was standard in my system when I bought it. I hope this is enough info for someone to help me fix this pesky problem.

Thanx in advance,
andsmith2

DJ Tricky S
01-22-2001, 05:57 PM
In all likelyhood it is a low-memory condition causing this. Try jacking up your virtual memory to extreme amounts, like around 200 MB. If the problem goes away, then you know this was the case. Even so, you might find you experience corrupted textures or other anomales unless you add more real RAM.

andsmith2
01-23-2001, 05:54 PM
I appreciate your quick reply. Unfortunately it didn't seem to help, I went as high as 200 MB and still no luck. any other suggestions?

DJ Tricky S
01-23-2001, 07:20 PM
I just noticed something in your first post that I didn't before (doh)... you mention you are running one of the early beige G3 Macs, well if it is one of the older ones with the ATI RageIIc video card, you aren't going to be able to get any OpenGL games working which require hardware acceleration, because the RageIIc doesn't have the power ("Scotty I need that power!"). If you have the Apple System Profiler, you can tell if you have the RageIIc by looking at what it says your video card is; RageIIc will show up as a "Mach64" if memory serves; however if you have a RagePro you *might* be able to get GL games working... in general a VoodooII or Rage128 or better is the minimum requirement for accelerated graphics games anymore. Hope that helps!

andsmith2
01-23-2001, 08:11 PM
Well, I was afraid it might be my card. I'll look into it, thanx again!

tdavie
01-30-2001, 03:52 AM
It's almost certain to be your graphics card, my iMac 333 with 160 meg of ram and a RAGE pro barely manages to run Elite force at a crawl in really low resolution, so a rage II is unlikely to be able to handle it at all.

02-01-2001, 10:30 AM
hey, I had to buy the Voodoo 2 Game Wizard for the iMac (rev. A) in order to get OpenGL to work for me. The card was cheap, and not too hard to install. After that, I went to a site referred to me in one of my questions to get the extensions for OpenGL. It works great for me, but I also upgraded my CPU to G4/433 , and have 192 megs of ram, but it works great now!! Good Luck!!

02-15-2001, 09:05 AM
Actually, I have been having the exact same problem with my copy of Elite Force. I have a RevA iMac with the Voodoo2 card installed, 384Mb of physical RAM, and a NewerTech G4/400 daughtercard.

I haven't tried to boost the memory to the program yet, but I definately get the screen going black, then flashing back to the desktop about three times, then the message that the program can't initialize the OpenGL.

Is it possible that the video card isn't installed properly so the program is trying to use the dinky system video? Do you have to force the program to use the Voodoo2 card? If so, how?

Please send responces to nynyhair@aol.com.

Thanks.

charlesjr

02-24-2001, 06:40 PM
I am having the same problem with my system aswell. I have a G3 Beige, 224mb of ram, Voodoo5 and a 500mhz Metabox Upgrade. I have upgraded, downgraded and deleted just about everything on this system. I went to Aspyr's website for some help and their support site is totally useless. The problem happens exactly as with andysmith2 but my hardware should be more than adequate. Quake 3 runs great. I have OpenGL 1.2.1 and have tried all other versions. I have upgraded the video drivers to the newest ones available and still nothing. Any suggestions?